External Identity Bindings
API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
[]50Successful Response
Validation Error
GET /v1/{workspace_id}/external-identity-bindings HTTP/1.1
Host: api.platform.amigo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"external_integration_id": "123e4567-e89b-12d3-a456-426614174000",
"subject_type": "text",
"entity_id": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text",
"status": "active",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"has_more": true,
"continuation_token": null
}API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Successful Response
entity_id or active external integration not found in workspace
consumer subject already bound to another entity, or entity_id is a principal
Validation Error
Identity rejected the binding request
Identity service unavailable
PUT /v1/{workspace_id}/external-identity-bindings HTTP/1.1
Host: api.platform.amigo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 169
{
"external_integration_id": "123e4567-e89b-12d3-a456-426614174000",
"external_subject_key": "text",
"entity_id": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"external_integration_id": "123e4567-e89b-12d3-a456-426614174000",
"subject_type": "text",
"entity_id": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text",
"status": "active",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"upsert_outcome": "created"
}API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Successful Response
Binding not found
Validation Error
GET /v1/{workspace_id}/external-identity-bindings/{binding_id} HTTP/1.1
Host: api.platform.amigo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"external_integration_id": "123e4567-e89b-12d3-a456-426614174000",
"subject_type": "text",
"entity_id": "123e4567-e89b-12d3-a456-426614174000",
"display_name": "text",
"status": "active",
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.
Successful Response
No content
Binding not found
Validation Error
Identity rejected the clear request
Identity service unavailable
DELETE /v1/{workspace_id}/external-identity-bindings/{binding_id} HTTP/1.1
Host: api.platform.amigo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

